> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# addUserPermission



## OpenAPI

````yaml post /api/authentication-manager/user/{id}/permission
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/authentication-manager/user/{id}/permission:
    post:
      tags:
        - authentication-manager-controller
      summary: addUserPermission
      operationId: addUserPermissionUsingPOST
      parameters:
        - name: id
          in: path
          description: id
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Domain-ID
          in: header
          description: X-Domain-ID
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PermissionHandleRequestDto'
        description: permissionHandleRequestDto
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/UserPermission'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - OAuth2_Client_Credentials: []
        - OAuth2_Password: []
components:
  schemas:
    PermissionHandleRequestDto:
      type: object
      required:
        - permission
      properties:
        permission:
          type: string
          enum:
            - ADMIN
            - ANONYMOUS
            - CASE_APPROVE
            - CASE_APPROVE_ACCEPTED
            - CASE_APPROVE_ACCEPTED_HIGH_RISK
            - CASE_APPROVE_ACCEPTED_LOW_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_HIGH_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_LOW_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_RISK
            - CASE_APPROVE_REJECTED
            - CASE_ASSIGN
            - CASE_CREATE
            - CASE_DELETE
            - CASE_DELETE_COMMENT
            - CASE_DELETE_DOCUMENT
            - CASE_GROUP_PERMISSIVE
            - CASE_PERMISSIVE
            - CASE_REQUEST_UPDATE
            - CASE_UPDATE
            - CASE_VIEW
            - ORL_CREATE
            - ORL_DELETE
            - ORL_UPDATE
            - ORL_VIEW
            - SERVICE
            - USER_CREATE
            - USER_DELETE
            - USER_GROUP_CREATE
            - USER_GROUP_DELETE
            - USER_GROUP_UPDATE
            - USER_GROUP_VIEW
            - USER_REACTIVATE
            - USER_UPDATE_PERMISSION
            - USER_VIEW
      title: PermissionHandleRequestDto
    UserPermission:
      type: object
      properties:
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        domainId:
          type: string
        id:
          type: integer
          format: int64
        permission:
          type: string
          enum:
            - ADMIN
            - ANONYMOUS
            - CASE_APPROVE
            - CASE_APPROVE_ACCEPTED
            - CASE_APPROVE_ACCEPTED_HIGH_RISK
            - CASE_APPROVE_ACCEPTED_LOW_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_HIGH_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_LOW_RISK
            - CASE_APPROVE_ACCEPTED_MEDIUM_RISK
            - CASE_APPROVE_REJECTED
            - CASE_ASSIGN
            - CASE_CREATE
            - CASE_DELETE
            - CASE_DELETE_COMMENT
            - CASE_DELETE_DOCUMENT
            - CASE_GROUP_PERMISSIVE
            - CASE_PERMISSIVE
            - CASE_REQUEST_UPDATE
            - CASE_UPDATE
            - CASE_VIEW
            - ORL_CREATE
            - ORL_DELETE
            - ORL_UPDATE
            - ORL_VIEW
            - SERVICE
            - USER_CREATE
            - USER_DELETE
            - USER_GROUP_CREATE
            - USER_GROUP_DELETE
            - USER_GROUP_UPDATE
            - USER_GROUP_VIEW
            - USER_REACTIVATE
            - USER_UPDATE_PERMISSION
            - USER_VIEW
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
        userId:
          type: string
      title: UserPermission
    Timestamp:
      type: object
      properties:
        date:
          type: integer
          format: int32
        day:
          type: integer
          format: int32
        hours:
          type: integer
          format: int32
        minutes:
          type: integer
          format: int32
        month:
          type: integer
          format: int32
        nanos:
          type: integer
          format: int32
        seconds:
          type: integer
          format: int32
        time:
          type: integer
          format: int64
        timezoneOffset:
          type: integer
          format: int32
        year:
          type: integer
          format: int32
      title: Timestamp
    UserInfo:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          type: integer
          format: int64
        lastName:
          type: string
      title: UserInfo
  securitySchemes:
    OAuth2_Client_Credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}
    OAuth2_Password:
      type: oauth2
      flows:
        password:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}

````